Fetch Agent Leads
curl --request GET \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/leads \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/leads"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"phone": "<string>",
"customFields": {},
"tags": [
"<string>"
]
}
]This response has no body data.Leads
Fetch Agent Leads
Fetch all leads for a specific agent
GET
/
agents
/
{agentId}
/
leads
Fetch Agent Leads
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
⌘I
